## pngenc

pngenc — Encode a video frame to a .png image

## Properties

guint | compression-level | Read / Write
gboolean | snapshot | Read / Write

## Types and Values

struct | GstPngEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoEncoder
                        ╰── GstPngEnc

## Implemented Interfaces

GstPngEnc implements GstPreset.

## Description

## Synopsis

### Element Information

plugin | png
author | Jeremy SIMON <jsimon13@yahoo.fr>
class | Codec/Encoder/Image

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGBA, RGB, GRAY8, GRAY16_BE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | image/png, width=(int)[ 16, 1000000 ], height=(int)[ 16, 1000000 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstPngEnc

    struct GstPngEnc;

## Property Details

### The `“compression-level”` property

      “compression-level”        guint

PNG compression level.

Flags: Read / Write

Allowed values: <= 9

Default value: 6

### The `“snapshot”` property

      “snapshot”                 gboolean

Send EOS after encoding a frame, useful for snapshots.

Flags: Read / Write

Default value: FALSE